﻿
@model PreviewViewModel

@{
    ViewData["Title"] = "Change Preview";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="ChangePreview" method="post">
            <div class="col-md-6">
                <h4>Change movie preview.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MovieTitle">Movie Title</label>
                    <input asp-for="@Model.MovieTitle" class="form-control" />
                    <span asp-validation-for="@Model.MovieTitle" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label>New Content</label>
                    <textarea asp-for="@Model.Content" rows="10" class="form-control"></textarea>
                    <span asp-validation-for="@Model.Content" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-warning" onclick="return confirm('Are you sure you want to edit movie preview?')">Change Preview</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

